[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInterfaceList.Items

Array-based access to the list's items.

## Declaration

Source position: classesh.inc line 2121

`public property TInterfaceList.Items[Index: Integer] : IUnknown read Get write Put; default;`

## Description

Items provides indexed access to the elements in the list. Note that the elements are zero-based, and thus are indexed from 0 to Count-1. The items are read-write. It is not possible to add elements to the list by accessing an element with index larger or equal to Count.

## See also

IInterfaceList.Items |  | Provides Index-based, sequential, access to the interfaces in the list.
TInterfaceList.Count |  | The current number of elements in the list.
TList.Items |  | Provides access to the pointers in the list.
TFPList.Items |  | Provides access to the pointers in the list.